import logging

from collective.easyform.browser.actions import ISaveDataRowChange

LOG = logging.getLogger("sandia.conferencepolicy")


def handle_save_data_row_modified(data, event):
    """handles modification of one row"""
    approved_before = data.item['approved']
    approved_after = data.data['approved']
    email = data.item['replyto']
    if approved_before and not approved_after:
        LOG.info(f"{email} was unapproved")
    elif not approved_before and approved_after:
        LOG.info(f"{email} was approved")

# TODO where to trap this happening in a save data adapter?
def handle_save_data_row_added(data, event):
    """handles addition of one row"""
    email = data.item['replyto']
    LOG.info(f"{email} was added/approved")

# TODO how to handle clearing all rows in a save data adapter?
def handle_save_data_row_removed(data, event):
    """handles removal of one row"""
    email = data.item['replyto']
    LOG.info(f"{email} was removed/unapproved")
